Bug 39443 - sys/socket.ph is missing
Summary: sys/socket.ph is missing
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Chip Turner
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-07 18:24 UTC by Aleksey Nogin
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-11 21:02:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aleksey Nogin 2001-05-07 18:24:20 UTC
perl-5.6.0-12 includes chat2.pl and ftp.pl that both require sys/socket.ph,
however sys/socket.ph is not included in the RPM. It was included, for
example, with 5.00503-12 in RH 6.2 updates...

Additionally, h2ph produces a file with syntax errors when ran on
sys/socket.h

P.S. Bug #90 and bug #2297 describe problems with sys/socket.ph on RedHat
5.2.

Comment 1 Aleksey Nogin 2001-10-02 13:43:41 UTC
This problem still exists in Enigma

Comment 2 Chip Turner 2003-04-11 21:02:31 UTC
.ph files are included for backwards compability but are not supported.  this
may be addressed in future releases as time permits.


Note You need to log in before you can comment on or make changes to this bug.